<h1 class="title">Установка и настройка виртуальной машины с модулем «Простые звонки – Статистика»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>Для установки и работы приложения вам потребуется:<br>
 VMware Workstation 12 Player (это бесплатная программа, которую можно скачать по этой ссылке <a target="_blank" href="https://www.vmware.com/products/workstation-player/workstation-player-evaluation.html">http://www.vmware.com/products/player/playerpro-evaluation.html )</a></p>

 <h2>2. Проверьте перед установкой</h2>
 <hr>

 <p>Перед установкой и настройкой модуля, пожалуйста, проверьте:
 	<ul>
 		<li>Компьютер, на который вы устанавливаете приложение, удовлетворяет системным требованиям</li>
 		<li>У вас есть доступ к компьютеру с правами администратора</li>
 		<li>У вас есть установочный архив prostiezvonki_statistika_vmware.7z</li>
 	</ul> 
 </p>

 <h2>3. Добавление и запуск виртуальной машины</h2>
 <hr>

 <p>3.1. Скачайте архив <i>prostiezvonki_statistika_vmware.7z</i> и распакуйте его.</p>

 <p>3.2. Запустите <strong>VMwarePlayer</strong> и добавьте в него виртуальную машину, для этого откройте меню
<strong>«Player»</strong> - <strong>«File»</strong> - <strong>«Open»</strong>:
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_open.jpg" alt="добавление виртуальной машины"></p>

<p>В открывшимся окне перейдите в папку с распакованной виртуальной машиной и откройте её:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_vw_location.jpg" alt="место распаковки виртуальной машины"></p>

<p>3.3. После этого виртуальная машина появится в списке <strong>VMware Player.</strong> Выделите ее и нажмите кнопку
<strong>«Play»</strong> для запуска виртуальной машины:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_play.jpg" alt="запуск виртуальной машины"></p>

<p>3.4. После запуска появляется окно с вопросом о том, что было сделано с виртуальной машиной,
нажимаем <strong>«I Moved It»</strong>:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_moved_it.jpg" alt="перемещение виртуальной машины"></p>

<h2>4. Настройка модуля</h2>
<hr>

<p>После загрузки системы вы увидите запрос авторизации:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_authorize.jpg" alt="запрос авторизации"></p>

<p>Используйте логин для входа - <strong>root</strong> <br>
Пароль – <strong>stat</strong></p>

<p class="attention">Внимание! При вводе пароля система не отображает вводимые вами символы.</p>

p4.1. Проверяем работу сети, для этого выполним команду: <pre>ifconfig | grep Bcast</pre>

<p>4.1.1. Если в вашей сети есть DHCP сервер и виртуальная машина смогла его найти - вы увидите
следующие строки:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_dhcp.jpg" alt="присутсвие DHCP"></p>

<p>В поле <i>«inet addr»</i> видим полученный IP-адрес, если он совпадает с адресацией в вашей сети - значит
все в порядке и можно проверить работу сети, выполнив ping до любого узла в вашей сети:</p>

<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_authorize.jpg" alt="пингуем полученный IP-адрес"></p>

<p>Прекратить выполнение работы команды можно сочетанием клавиш <strong>Ctrl + C</strong></p>

<p>4.1.2. Если после выполнения команды <pre>ifconfig | grep Bcast</pre> вы увидели IP адрес отличный от
используемых у вас в сети – вам необходимо проверить настройки сети вашей виртаульной машины.
При необходимости вы можете настроить статический IP-адрес. Сделать это можно, отредактировав
файл <strong>/etc/network/interfaces</strong>.</p>

<p>Для редактирования файла выполним команду:</p>

<pre>mcedit /etc/network/interfaces</pre>

<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_mcedit.jpg" alt="ввод команды mcedit"></p>

<p>Закомментируйте выделенную <span class="red">красным строку</span>, поставив знак # в начале строки. После этого
раскомментируйте выделенные <span class="green">зеленым строки</span>, удалив знак # в начале строки.</p>

<p>Укажите реквизиты в соответствии с конфигурацией вашей сети. После редактирования нажмите <strong>F10</strong>.
На вопрос сохранить изменения выберите <strong>«Yes»</strong> и нажмите <strong>«Enter»</strong>.</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_save_changes.jpg" alt="сохранение изменений"></p>

<p>4.2. Предустановленное имя виртуальной машины <strong>«stat»</strong>, при необходимости вы можете изменить имя
компьютера, для этого необходимо выполнить команду: </p>
<pre>mcedit /etc/hostname</pre>

<p>В окне текстового редактора измените хостнейм виртуальной машины и выйдите из редактора с
сохранением изменений.</p>

<h2>5. Настройка модуля статистики</h2>
<hr>

<p>5.1. Настройка производится путем изменения файла config.ini, расположенного в папке /opt/stat/
Для его редактирования выполните команду:</p>

<pre>mcedit /opt/stat/config.ini</pre>

<p>Откроется окно редактора:</p>
<p><img src="images/vmware_statistika/ustanovka_nastroyka_vmware_statistika_config.jpg" alt="окно редактора"></p>

5.2. Настройте модуль статистики, начиная с пункта 4.1 руководства:<br>
<a target="_blank" href="Ustanovka_nastroyka_Statistika.html">http://prostiezvonki.ru/documents/Ustanovka_nastroyka_Statistika.pdf</a>

<p>5.3. После завершения настройки сохраните изменения и закройте файл настроек.</p>

<p>5.4. Перезагрузите виртуальную машину, выполнив команду: </p>

<pre>reboot</pre>

<p>5.5. Когда виртуальная машина перезагрузится, авторизуйтесь в системе и выполните команду:</p>

<pre>cat /opt/stat/statistika_collector.log</pre>

<p>Если в выводе команды видим сообщение как на скриншоте выше, значит модуль статистики успешно
подключился к АТС-коннектору «Простых звонков».</p>

<p>5.6. Откройте модуль статистики в браузере согласно пункту 5 руководства:<br>
<a href="Ustanovka_nastroyka_Statistika.html">http://prostiezvonki.ru/documents/Ustanovka_nastroyka_Statistika.pdf</a></p>